org.appng.openapi.model

## Class Page

- java.lang.Object
- - org.appng.openapi.model.Page

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Page
      extends Object

  A page that contains paging information an a list of elements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_FIRST`
    `static String` | `JSON_PROPERTY_IS_FIRST`
    `static String` | `JSON_PROPERTY_IS_LAST`
    `static String` | `JSON_PROPERTY_LAST`
    `static String` | `JSON_PROPERTY_NEXT`
    `static String` | `JSON_PROPERTY_NUMBER`
    `static String` | `JSON_PROPERTY_PAGE_SIZES`
    `static String` | `JSON_PROPERTY_PREVIOUS`
    `static String` | `JSON_PROPERTY_SIZE`
    `static String` | `JSON_PROPERTY_TOTAL_ITEMS`
    `static String` | `JSON_PROPERTY_TOTAL_PAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Page()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Page` | `addPageSizesItem(PageSize pageSizesItem)`
    `boolean` | `equals(Object o)`
    `Page` | `first(String first)`
    `String` | `getFirst()` path to the first page
    `Boolean` | `getIsFirst()` If this is the first page.
    `Boolean` | `getIsLast()` If this is the last page.
    `String` | `getLast()` path to the last page
    `String` | `getNext()` path to the next page
    `Integer` | `getNumber()` The 0-based number of the current page.
    `List<PageSize>` | `getPageSizes()` Get pageSizes
    `String` | `getPrevious()` path to the previous page
    `Integer` | `getSize()` The number of items per page.
    `Integer` | `getTotalItems()` The total number of items.
    `Integer` | `getTotalPages()` The number of total pages.
    `int` | `hashCode()`
    `Page` | `isFirst(Boolean isFirst)`
    `Page` | `isLast(Boolean isLast)`
    `Page` | `last(String last)`
    `Page` | `next(String next)`
    `Page` | `number(Integer number)`
    `Page` | `pageSizes(List<PageSize> pageSizes)`
    `Page` | `previous(String previous)`
    `void` | `setFirst(String first)`
    `void` | `setIsFirst(Boolean isFirst)`
    `void` | `setIsLast(Boolean isLast)`
    `void` | `setLast(String last)`
    `void` | `setNext(String next)`
    `void` | `setNumber(Integer number)`
    `void` | `setPageSizes(List<PageSize> pageSizes)`
    `void` | `setPrevious(String previous)`
    `void` | `setSize(Integer size)`
    `void` | `setTotalItems(Integer totalItems)`
    `void` | `setTotalPages(Integer totalPages)`
    `Page` | `size(Integer size)`
    `String` | `toString()`
    `Page` | `totalItems(Integer totalItems)`
    `Page` | `totalPages(Integer totalPages)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_FIRST

          public static final String JSON_PROPERTY_FIRST

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PREVIOUS

          public static final String JSON_PROPERTY_PREVIOUS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_NEXT

          public static final String JSON_PROPERTY_NEXT

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_LAST

          public static final String JSON_PROPERTY_LAST

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_NUMBER

          public static final String JSON_PROPERTY_NUMBER

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_SIZE

          public static final String JSON_PROPERTY_SIZE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TOTAL_PAGES

          public static final String JSON_PROPERTY_TOTAL_PAGES

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TOTAL_ITEMS

          public static final String JSON_PROPERTY_TOTAL_ITEMS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_IS_FIRST

          public static final String JSON_PROPERTY_IS_FIRST

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_IS_LAST

          public static final String JSON_PROPERTY_IS_LAST

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PAGE_SIZES

          public static final String JSON_PROPERTY_PAGE_SIZES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Page

          public Page()

  - ### Method Detail

    - #### first

          public Page first(String first)

    - #### getFirst

          public String getFirst()

      path to the first page
      Returns:
        first

    - #### setFirst

          public void setFirst(String first)

    - #### previous

          public Page previous(String previous)

    - #### getPrevious

          public String getPrevious()

      path to the previous page
      Returns:
        previous

    - #### setPrevious

          public void setPrevious(String previous)

    - #### next

          public Page next(String next)

    - #### getNext

          public String getNext()

      path to the next page
      Returns:
        next

    - #### setNext

          public void setNext(String next)

    - #### last

          public Page last(String last)

    - #### getLast

          public String getLast()

      path to the last page
      Returns:
        last

    - #### setLast

          public void setLast(String last)

    - #### number

          public Page number(Integer number)

    - #### getNumber

          public Integer getNumber()

      The 0-based number of the current page.
      Returns:
        number

    - #### setNumber

          public void setNumber(Integer number)

    - #### size

          public Page size(Integer size)

    - #### getSize

          public Integer getSize()

      The number of items per page.
      Returns:
        size

    - #### setSize

          public void setSize(Integer size)

    - #### totalPages

          public Page totalPages(Integer totalPages)

    - #### getTotalPages

          public Integer getTotalPages()

      The number of total pages.
      Returns:
        totalPages

    - #### setTotalPages

          public void setTotalPages(Integer totalPages)

    - #### totalItems

          public Page totalItems(Integer totalItems)

    - #### getTotalItems

          public Integer getTotalItems()

      The total number of items.
      Returns:
        totalItems

    - #### setTotalItems

          public void setTotalItems(Integer totalItems)

    - #### isFirst

          public Page isFirst(Boolean isFirst)

    - #### getIsFirst

          public Boolean getIsFirst()

      If this is the first page.
      Returns:
        isFirst

    - #### setIsFirst

          public void setIsFirst(Boolean isFirst)

    - #### isLast

          public Page isLast(Boolean isLast)

    - #### getIsLast

          public Boolean getIsLast()

      If this is the last page.
      Returns:
        isLast

    - #### setIsLast

          public void setIsLast(Boolean isLast)

    - #### pageSizes

          public Page pageSizes(List<PageSize> pageSizes)

    - #### addPageSizesItem

          public Page addPageSizesItem(PageSize pageSizesItem)

    - #### getPageSizes

          @Nullable
          public List<PageSize> getPageSizes()

      Get pageSizes
      Returns:
        pageSizes

    - #### setPageSizes

          public void setPageSizes(List<PageSize> pageSizes)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.